io.vertx.rxjava3.jdbcclient

## Class JDBCPool

- java.lang.Object
- - io.vertx.rxjava3.sqlclient.SqlClient
  - - io.vertx.rxjava3.sqlclient.Pool
    - - io.vertx.rxjava3.jdbcclient.JDBCPool

-     public class JDBCPool
      extends Pool

  JDBCPool is the interface that allows using the Sql Client API with plain JDBC.

  NOTE: This class has been automatically generated from the `original` non RX-ified interface using Vert.x codegen.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static io.vertx.lang.rx.TypeArg<JDBCPool>` | `__TYPE_ARG`
    `static PropertyKind<Row>` | `GENERATED_KEYS` The property to be used to retrieve the generated keys
    `static PropertyKind<Boolean>` | `OUTPUT` The property to be used to retrieve the output of the callable statement

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JDBCPool(JDBCPool delegate)`
    `JDBCPool(Object delegate)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object o)`
    `JDBCPool` | `getDelegate()`
    `int` | `hashCode()`
    `static JDBCPool` | `newInstance(JDBCPool arg)`
    `static JDBCPool` | `pool(Vertx vertx, DataSource dataSource)` Create a JDBC pool using a pre-initialized data source.
    `static JDBCPool` | `pool(Vertx vertx, DataSource dataSource, JsonObject config)` Create a JDBC pool using a pre-initialized data source.
    `static JDBCPool` | `pool(Vertx vertx, DataSourceProvider dataSourceProvider)` Create a JDBC pool which maintains its own data source.
    `static JDBCPool` | `pool(Vertx vertx, JDBCConnectOptions connectOptions, PoolOptions poolOptions)` Create a JDBC pool which maintains its own data source.
    `static JDBCPool` | `pool(Vertx vertx, JsonObject config)` Create a JDBC pool which maintains its own data source.
    `String` | `toString()`

    - ### Methods inherited from class io.vertx.rxjava3.sqlclient.Pool

      `close, connectHandler, connectionProvider, getConnection, newInstance, pool, pool, pool, preparedQuery, query, rxClose, rxGetConnection, rxWithConnection, rxWithTransaction, rxWithTransaction, size, withConnection, withTransaction, withTransaction`

    - ### Methods inherited from class io.vertx.rxjava3.sqlclient.SqlClient

      `newInstance, preparedQuery`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### __TYPE_ARG

          public static final io.vertx.lang.rx.TypeArg<JDBCPool> __TYPE_ARG

    - #### GENERATED_KEYS

          public static final PropertyKind<Row> GENERATED_KEYS

      The property to be used to retrieve the generated keys

    - #### OUTPUT

          public static final PropertyKind<Boolean> OUTPUT

      The property to be used to retrieve the output of the callable statement

  - ### Constructor Detail

    - #### JDBCPool

          public JDBCPool(JDBCPool delegate)

    - #### JDBCPool

          public JDBCPool(Object delegate)

  - ### Method Detail

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Pool`

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Pool`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Pool`

    - #### getDelegate

          public JDBCPool getDelegate()

      Overrides:
        `getDelegate` in class `Pool`

    - #### pool

          public static JDBCPool pool(Vertx vertx,
                                      JDBCConnectOptions connectOptions,
                                      PoolOptions poolOptions)

      Create a JDBC pool which maintains its own data source.
      Parameters:
        `vertx` - the Vert.x instance
        `connectOptions` - the options to configure the connection
        `poolOptions` - the connection pool options
      Returns:
        the client

    - #### pool

          public static JDBCPool pool(Vertx vertx,
                                      JsonObject config)

      Create a JDBC pool which maintains its own data source.
      Parameters:
        `vertx` - the Vert.x instance
        `config` - the options to configure the client using the same format as `io.vertx.rxjava3.ext.jdbc.JDBCClient`
      Returns:
        the client

    - #### pool

          public static JDBCPool pool(Vertx vertx,
                                      DataSourceProvider dataSourceProvider)

      Create a JDBC pool which maintains its own data source.
      Parameters:
        `vertx` - the Vert.x instance
        `dataSourceProvider` - the options to configure the client using the same format as `io.vertx.rxjava3.ext.jdbc.JDBCClient`
      Returns:
        the client

    - #### pool

          public static JDBCPool pool(Vertx vertx,
                                      DataSource dataSource)

      Create a JDBC pool using a pre-initialized data source.
      Parameters:
        `vertx` - the Vert.x instance
        `dataSource` - a pre-initialized data source
      Returns:
        the client

    - #### pool

          public static JDBCPool pool(Vertx vertx,
                                      DataSource dataSource,
                                      JsonObject config)

      Create a JDBC pool using a pre-initialized data source. The config expects that at least the following properties are set:
      - `url` - the connection string
      - `user` - the connection user name
      - `database` - the database name
      - `maxPoolSize` - the max allowed number of connections in the pool
      Parameters:
        `vertx` - the Vert.x instance
        `dataSource` - a pre-initialized data source
        `config` - the pool configuration
      Returns:
        the client

    - #### newInstance

          public static JDBCPool newInstance(JDBCPool arg)

Copyright © 2024 Eclipse. All rights reserved.